[KB] Detailed System Requirements

Issue: You may, on rare occasion, experience one or more anomalies either during or after the installation of MOHOBOOK.

Solution: In most cases, if your web host supports PHP 5.6 or higher, the necessary modules, libraries and extensions are already part of the PHP configuration required for the proper functioning of MOHOBOOK, but there may be times when something is missing. Below is a more detailed list of the various requirements.

Again, don’t be alarmed by the length of the following list, in most cases, everything listed here is already installed and only on rare occasion may the odd one be missing from your configuration. The purpose of this list is provide debugging assistance in the event a particular feature is not working.

  • PHP 5.6 (or higher)
  • MySQL 5.0 (or higher)
  • suPHP or FastCGI
  • Calendar
  • Zip
  • SOAP (Simple Object Access protocol)
  • MySQLi (MySQL Improved)
  • cURL
  • Date
  • ereg (RegEx)
  • FileInfo
  • GD (GD Graphics Library)
  • Exif (Exchangeable image file format)
  • Hash
  • MCrypt
  • JSON (JavaScript Object Notation)
  • XML (Extensible Markup Language)
  • mbstring (Multibyte String)
  • PDO (PHP Data Objects)
  • pdo_mysql
  • Session

With a text editor such as Notepad, create a file called info.php and add the below code to it see what modules and extensions are installed on your host. If you upload and navigate to this file, it will generate a configuration report that can be used to compare what is required and what is already installed.

<?php phpinfo(); ?>

If the above solution does not solve your issue, please contact us.

Scroll to Top